> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Amend a form

> Endpoint to amend a Form.

The following example is for a T4, but the same flow will work for any amendable form.



## OpenAPI

````yaml /spec/openapi.json post /forms/{form}/amend
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /forms/{form}/amend:
    post:
      tags:
        - Forms
      summary: Amend a form
      description: >-
        Endpoint to amend a Form.


        The following example is for a T4, but the same flow will work for any
        amendable form.
      operationId: forms-amend
      parameters:
        - name: form
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"form"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Form'
              example:
                id: <id>
                object: form
                data:
                  owner:
                    id: <id>
                    object: employee
                    links:
                      self: /employees/<id>
                  form_batch: null
                  stage: amendment
                  note: null
                  source_form:
                    id: <id>
                    object: form
                    links:
                      self: /forms/<id>
                  type: t4
                  effective_date: '2026-01-01'
                  version_year: '2026'
                  version_month: january
                  validation_error_count: 0
                  status: draft
                  is_editable: true
                  metadata:
                    flags:
                      is_editable: true
                      is_amendable: false
                      is_approvable: true
                      is_unapprovable: false
                      is_pdf_exportable: true
                  tax_year: '2025'
                  employee_first_name: null
                  employee_initial: null
                  employee_surname: Prosacco
                  employee_address_line_1: null
                  employee_address_line_2: null
                  employee_city: null
                  employee_province_or_territory_code: null
                  employee_country_code: null
                  employee_postal_code: null
                  box_12_social_insurance_number: '196710156'
                  employee_number: null
                  box_54_payroll_account_number: 123456789RP0001
                  box_50_rpp_or_dpsp_registration_number: null
                  box_28_cpp_or_qpp_exempt_code: false
                  box_28_employment_insurance_exempt_code: false
                  box_28_ppip_exempt_code: false
                  box_29_employment_code: null
                  box_10_province_territory_or_country_of_employment_code: 'ON'
                  box_45_employer_offered_dental_benefits: '1'
                  box_14_employment_income: null
                  box_16_employees_cpp_contributions: null
                  box_16a_employees_cpp2_contributions: null
                  box_17_employees_qpp_contributions: null
                  box_17a_employees_qpp2_contributions: null
                  box_18_employees_ei_premiums: null
                  box_20_rpp_contributions: null
                  box_22_income_tax_deducted: null
                  box_24_ei_insurable_earnings: 1000.04
                  box_26_cpp_or_qpp_pensionable_earnings: 2000.73
                  box_27_employer_cpp_contributions: null
                  box_27a_employers_cpp2_contributions: null
                  box_19_employer_ei_premiums: null
                  box_44_union_dues: null
                  box_46_charitable_donations: null
                  box_52_pension_adjustment: null
                  box_55_employees_ppip_premiums: null
                  box_56_ppip_insurable_earnings: null
                  code_30_housing_board_and_lodging_amount: null
                  code_31_special_work_site_amount: null
                  code_32_travel_in_a_prescribed_zone_amount: null
                  code_33_medical_travel_amount: null
                  code_34_personal_use_of_employer_automobile_amount: null
                  code_35_total_reasonable_per_kilometre_allowance_amount: null
                  code_36_interest_free_and_low_interest_loan_amount: null
                  code_37_employee_home_relocation_loan_deduction_amount: null
                  code_97_stock_option_benefit_amount_before_february_28_2000: null
                  code_38_security_options_benefits_before_june_25_2024: null
                  code_39_security_options_deductions_110_1_d_before_june_25_2024: null
                  code_40_other_taxable_allowance_and_benefits: null
                  code_41_security_options_deduction_110_1_d1_before_june_25_2024: null
                  code_42_employment_commissions: null
                  code_43_canadian_armed_forces_personnel_and_police_deduction: null
                  code_53_deferred_security_option_benefits: null
                  code_57_employment_income_march_15_to_may_9_2020_tax_year_only: null
                  code_58_employment_income_may_10_to_july_4_2020_tax_year_only: null
                  code_59_employment_income_july_5_to_august_29_2020_tax_year_only: null
                  code_60_employment_income_august_30_to_september_26_2020_tax_year_only: null
                  code_66_eligible_retiring_allowances: null
                  code_67_non_eligible_retiring_allowances: null
                  code_69_indian_exempt_income_non_eligible_retiring_allowances: null
                  code_71_indian_exempt_income_employment: null
                  code_72_outside_of_canada_employment_income_amount_section_122_3: null
                  code_73_employment_outside_of_canada_day_count: null
                  code_74_pre_1990_past_service_contributions_while_a_contributor: null
                  code_75_pre_1990_past_service_contributions_while_not_a_contributor: null
                  code_77_workers_compensation_benefit_repaid_to_the_employer_amount: null
                  code_78_fishers_gross_earnings: null
                  code_79_fishers_net_partnership_amount: null
                  code_80_fishers_shareperson_amount: null
                  code_81_placement_or_employment_agency: null
                  code_82_driver_of_taxi_or_other_passenger_carrying_vehicle: null
                  code_83_barber_or_hairdresser: null
                  code_84_public_transit_pass: null
                  code_85_employee_paid_premiums_for_private_health_services_plans: null
                  code_86_stock_option_cash_out_expense: null
                  code_87_emergency_services_volunteer_exempt_amount: null
                  code_88_indian_exempt_income_self_employment: null
                  code_90_security_options_benefits_on_or_after_june_25_2024: null
                  code_91_security_options_deduction_110_1_d_on_or_after_june_25_2024: null
                  code_92_security_options_deduction_110_1_d1_on_or_after_june_25_2024: null
                  code_94_indian_exempt_income_rpp_contributions: null
                  code_95_indian_exempt_income_union_dues: null
                  code_98_stock_option_and_share_deduction_110_1_d_amount_before_february_28_2000: null
                  code_99_stock_option_and_share_deduction_110_1_d1_amount_before_february_28_2000: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /forms/<id>
components:
  schemas:
    Form:
      type: object
      title: Form
      properties:
        owner:
          type: object
          description: >-
            The owner of this form. Can be a Work Assignment, Employee, or
            Contractor.
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"work_assignment"`).
              readOnly: true
        form_batch:
          description: The Form Batch this form belongs to, if any.
        stage:
          type: string
          description: >-
            The lifecycle stage of this form: original, amendment, or
            cancellation.
          enum:
            - amendment
            - cancellation
            - original
        note:
          type: string
          description: An optional note for this form.
          nullable: true
        type:
          type: string
          description: The type of form (e.g. T4, ROE, RL-1).
          maxLength: 255
          enum:
            - rl1
            - roe
            - t4
            - t4a
            - td1
            - td1ab
            - td1bc
            - td1mb
            - td1nb
            - td1nl
            - td1ns
            - td1nt
            - td1nu
            - td1on
            - td1pe
            - td1sk
            - td1x
            - td1yt
            - tp_1015_3_v
            - tp_1015_r_13_v
        effective_date:
          type: string
          description: >-
            The effective date used to determine the form variant (e.g. the T4
            tax year).
          format: date
        version_year:
          type: string
          description: >-
            The form variant's version year. New versions are typically released
            in January. Note: the version year may differ from the tax year. For
            example, income earned in the 2025 tax year is typically reported on
            a 2026 version of the T4.
          nullable: true
        version_month:
          type: string
          description: >-
            The month component of the form variant, for forms with monthly
            variants. `null` for annual forms.
          nullable: true
        validation_error_count:
          type: number
          description: >-
            The number of validation errors currently present in the form's
            fields.
          nullable: true
          format: decimal
        is_editable:
          type: boolean
          description: |-
            Whether the form can be edited.

            Whether the form can currently be modified.
        line_1_basic_personal_amount: {}
        line_2_infirm_children_caregiver_amount: {}
        line_3_age_amount: {}
        line_4_pension_income_amount: {}
        line_5_tuition: {}
        line_6_disability_amount: {}
        line_7_spouse_or_common_law_partner_amount: {}
        line_8_eligible_dependent_amount: {}
        line_9_infirm_dependent_caregiver_amount: {}
        line_10_dependent_caregiver_amount: {}
        line_11_spouse_or_common_law_transfer_amount: {}
        line_12_dependent_transfer_amount: {}
        line_13_total_claim_amount: {}
        more_than_one_employer_or_payer: {}
        total_income_less_than_total_claim_amount: {}
        ninety_percent_world_income_taxable_income: {}
        prescribed_zone_deduction: {}
        additional_tax_deduction: {}
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````